#!/bin/sh

set -e
version=3.3.3
prefix=/opt/divine


apt-get install -y libc++-dev libc++abi-dev clang cmake

wget http://releases.llvm.org/3.4.2/llvm-3.4.2.src.tar.gz
wget http://releases.llvm.org/3.4.2/cfe-3.4.2.src.tar.gz

tar xzf llvm-*
tar xzf cfe-*
rm *.tar.gz
mv cfe-* llvm-*/tools/clang
cd llvm-*
./configure --prefix=$prefix
make
make install
cd ..

wget https://divine.fi.muni.cz/download/divine-$version.tar.gz
tar xzf divine-$version.tar.gz
cd divine-$version

./configure --prefix=$prefix -DLLVM_CONFIG_PATH=$prefix/bin/llvm-config
make
make install

echo "DIVINE's binaries are installed in $prefix/bin"

if test -d /etc/profile.d; then
    echo "PATH=$prefix/bin:"'$PATH' > /etc/profile.d/divine-path.sh
    echo "I have created /etc/profile.d/divine-path.sh to update system PATH"
    echo "After you log out and back in, it should be available as 'divine'"
fi

cat <<EOF >> /etc/issue
DIVINE $version VM

login: divine
password: llvm

EOF
